/// @brief projection matrix passed in from camera class in main app
uniform mat4 projectionMatrix;
/// @brief View transform matrix passed in from camera class in main app
uniform mat4 ViewMatrix;
/// @brief Model transform matrix passed in from Transform Class in main app
uniform mat4 ModelMatrix;


void main(void)
{
 // pre-calculate for speed we will use this a lot
 mat4 ModelView=ViewMatrix*ModelMatrix;

 // calculate the vertex position
 gl_Position = projectionMatrix*ModelView*gl_Vertex;
 // get the texture co-ord and mutliply it by the texture matrix
 gl_TexCoord[0] = gl_TextureMatrix[0]*gl_MultiTexCoord0;

}
